Get an expense report
curl --request GET \
--url https://www.ruddr.io/api/workspace/expense-reports/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/expense-reports/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/expense-reports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "c3e7a1f4-82b5-4d9e-b063-2f8a1c5e9d47",
"number": 14,
"title": "January 2025 Expenses",
"notes": "Monthly expense report.",
"date": "2025-01-15",
"createdAt": "2025-01-15T20:47:03.284Z",
"member": {
"id": "a9b2d6e8-3c14-4f7a-9051-6e8b2d4f1c93",
"name": "Jane Smith"
}
}{
"status": 400,
"message": "Parameter 'id' is not a valid UUID."
}{
"status": 403,
"message": "Feature 'Expense Reporting' is not enabled."
}{
"status": 404,
"message": "Object with id 'd72f3a81-9c4e-4b71-a6e2-0d1f8b3c7e94' not found."
}Expense Reports
Get an expense report
GET
/
expense-reports
/
{id}
Get an expense report
A container for expense items. This helps group expenses for a specific purpose.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The expense report uuid
Response
200
The unique identifier for the object.
The report number.
The report title.
Any notes for the report.
The report date. Will be in the form YYYY-MM-DD.
The timestamp when the object was created.
The member associated with this expense report.
Show child attributes
Show child attributes
⌘I